#ifndef SB_REF_OBJECT_H_
#define SB_REF_OBJECT_H_


class COIN_DLL_API SbRefObject {
private:
  int refCounter;
public:
  void ref();
  void unref();
  void unrefNoDelete();
  int getRefCount() const;
  SbRefObject();
protected:
  virtual ~SbRefObject();
};


#endif /* SB_REF_OBJECT_H_ */
